For the complete documentation index, see llms.txt. This page is also available as Markdown.

Recommendation Presets

Recommendation apis for recommendations presets.

Update an existing preset

put

Update an existing Recommendation Preset for the given Preset ID.

Path parameters
idstringRequired

Unique identifier for the budget

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
uuidstringOptional
createdAtinteger · int64Optional
lastUpdatedAtinteger · int64Optional
accountIdstringRequired
resourceTypestring · enumRequiredPossible values:
namestring · max: 80Optional
descriptionstring · max: 256Optional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/recommendation/preset/{id}
PUT /gateway/ccm/api/recommendation/preset/{id}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 127

{
  "uuid": "text",
  "createdAt": 1,
  "lastUpdatedAt": 1,
  "accountId": "text",
  "resourceType": "WORKLOAD",
  "name": "text",
  "description": "text"
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Delete a preset

delete

Delete a Recommendation preset for the given preset ID.

Path parameters
idstringRequired

Unique identifier for the preset

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
delete/recommendation/preset/{id}
DELETE /gateway/ccm/api/recommendation/preset/{id}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Get all presets for given account

get

Get all presets for given account

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

resourceTypestring · enumOptionalPossible values:
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/recommendation/preset
GET /gateway/ccm/api/recommendation/preset?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Create a Preset

post

Create a Preset to set preferences for your recommendations

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
uuidstringOptional
createdAtinteger · int64Optional
lastUpdatedAtinteger · int64Optional
accountIdstringRequired
resourceTypestring · enumRequiredPossible values:
namestring · max: 80Optional
descriptionstring · max: 256Optional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/recommendation/preset
POST /gateway/ccm/api/recommendation/preset?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 127

{
  "uuid": "text",
  "createdAt": 1,
  "lastUpdatedAt": 1,
  "accountId": "text",
  "resourceType": "WORKLOAD",
  "name": "text",
  "description": "text"
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?